pcl::PointUV Struct Reference
Module common

A 2D point structure representing pixel image coordinates. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

| PointUV ()=default
| PointUV (float _u, float _v)

## Public Attributes

float | u = 0.f
float | v = 0.f

## Friends

std::ostream & | operator<< (std::ostream &os, const PointUV &p)

## Detailed Description

A 2D point structure representing pixel image coordinates.

Note
  We use float to be able to represent subpixels.

Definition at line 848 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointUV() [1/2]

pcl::PointUV::PointUV | ( |  | ) |

inline default

## PointUV() [2/2]

pcl::PointUV::PointUV | ( | float | _u,
|  | float | _v
| ) |  |

inline

Definition at line 855 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointUV & | p
| ) |  |

friend

## Member Data Documentation

## u

float pcl::PointUV::u = 0.f

Definition at line 850 of file point_types.hpp.

Referenced by pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >::setPointsToTrack(), and pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >::track().

## v

float pcl::PointUV::v = 0.f

Definition at line 851 of file point_types.hpp.

Referenced by pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >::setPointsToTrack(), and pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >::track().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp